curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
},
"name": "Updated Category Name"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1"
payload = {
"metadata": {
"source": "GLOBANT"
},
"name": "Updated Category Name"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
},
name: 'Updated Category Name'
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Updated Category Name",
"company_id": 2336,
"created_at": "2025-11-19 18:33:26",
"updated_at": "2025-11-19 18:42:01",
"deleted_at": null,
"__meta__": {
"oldRate": 0
}
}
}
{
"error": "CategoryNotFoundError",
"message": "Category with external ID 'external-category-id-1' not found",
"code": "ZC004"
}
Position Categories
Update Category
Updates an existing position category in your COR instance using its external ID
PUT
/
v2
/
integrations
/
categories
/
{id}
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
},
"name": "Updated Category Name"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1"
payload = {
"metadata": {
"source": "GLOBANT"
},
"name": "Updated Category Name"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
},
name: 'Updated Category Name'
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Updated Category Name",
"company_id": 2336,
"created_at": "2025-11-19 18:33:26",
"updated_at": "2025-11-19 18:42:01",
"deleted_at": null,
"__meta__": {
"oldRate": 0
}
}
}
{
"error": "CategoryNotFoundError",
"message": "Category with external ID 'external-category-id-1' not found",
"code": "ZC004"
}
Updates an existing position category in your COR instance using its external ID.
Path Parameters
string
required
External category ID that was used when creating the category
Request Body Requirements
string
Updated category name
Known Errors
CategoryNotFoundError— No category found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefield
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
},
"name": "Updated Category Name"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1"
payload = {
"metadata": {
"source": "GLOBANT"
},
"name": "Updated Category Name"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/categories/external-category-id-1',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
},
name: 'Updated Category Name'
})
}
);
const data = await response.json();
console.log(data);
{
"statusCode": 200,
"status": "success",
"data": {
"name": "Updated Category Name",
"company_id": 2336,
"created_at": "2025-11-19 18:33:26",
"updated_at": "2025-11-19 18:42:01",
"deleted_at": null,
"__meta__": {
"oldRate": 0
}
}
}
{
"error": "CategoryNotFoundError",
"message": "Category with external ID 'external-category-id-1' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

